# QTextImageFormat Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextCharFormat.

### Constructor

- void QTextImageFormat()

### Constructor Properties

- prototype: The QTextImageFormat prototype object

### Prototype Object Properties

The QTextImageFormat prototype object inherits properties from the QTextCharFormat prototype object and also has the following properties.

- qreal height()
- String name()
- void setHeight(qreal height)
- void setName(String name)
- void setWidth(qreal width)
- qreal width()

### Instance Properties

QTextImageFormat objects have no special properties beyond those inherited from the QTextImageFormat prototype object.